package com.op.wms.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.op.common.core.annotation.Excel;
import com.op.common.core.web.domain.BaseEntity;

/**
 * 班组对象 base_team_t
 * 
 * @author Open Platform
 * @date 2023-07-05
 */
public class BaseTeamT extends BaseEntity {
	private static final long serialVersionUID = 1L;

	/** 班组主键 */
	private String teamId;

	/** 组织机构主键 */
	@Excel(name = "组织机构主键")
	private String orgId;

	/** 班组编码 */
	@Excel(name = "班组编码")
	private String teamCode;

	/** 班组简称 */
	@Excel(name = "班组简称")
	private String teamDesc;

	/** 班组通用名称 */
	@Excel(name = "班组通用名称")
	private String teamDescGlobal;

	/** 班组扩展名称 */
	@Excel(name = "班组扩展名称")
	private String teamDescExtended;

	/** 创建时间 */
	@JsonFormat(pattern = "yyyy-MM-dd")
	@Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
	private Date createDate;

	/** 最后更新人 */
	@Excel(name = "最后更新人")
	private String lastUpdateBy;

	/** 最后更新时间 */
	@JsonFormat(pattern = "yyyy-MM-dd")
	@Excel(name = "最后更新时间", width = 30, dateFormat = "yyyy-MM-dd")
	private Date lastUpdateDate;

	/** 可用标识 */
	@Excel(name = "可用标识")
	private String Active;

	/** 企业主键 */
	@Excel(name = "企业主键")
	private String enterpriseId;

	/** 企业编码 */
	@Excel(name = "企业编码")
	private String enterpriseCode;

	/** 工厂主键 */
	@Excel(name = "工厂主键")
	private String siteId;

	/** 工厂编码 */
	@Excel(name = "工厂编码")
	private String siteCode;

	/** 线体编码 */
	@Excel(name = "线体编码")
	private String productionLineCode;

	/** 班组长编码 */
	@Excel(name = "班组长编码")
	private String teamLeaderCode;

	/** 定编岗位数量 */
	@Excel(name = "定编岗位数量")
	private Integer planPostQuantity;

	/** 已分配岗位数量 */
	@Excel(name = "已分配岗位数量")
	private Integer actualPostQuantity;

	/** 薪酬类型(0：总装；1:小时节点筹; */
	@Excel(name = "薪酬类型(0：总装；1:小时节点筹;")
	private String salaryType;

	/** 班组属性 */
	@Excel(name = "班组属性")
	private String teamProperties;

	/** 应出勤人数 */
	@Excel(name = "应出勤人数")
	private Integer attendanceQuantity;

	/** 已分配人数 */
	@Excel(name = "已分配人数")
	private Integer assignedQuantity;

	/** 班组类型 */
	@Excel(name = "班组类型")
	private String teamType;

	public void setTeamType(String teamType) {
		this.teamType = teamType;
	}

	public String getTeamType() {
		return teamType;
	}

	public void setTeamId(String teamId) {
		this.teamId = teamId;
	}

	public String getTeamId() {
		return teamId;
	}
	public void setOrgId(String orgId) {
		this.orgId = orgId;
	}

	public String getOrgId() {
		return orgId;
	}
	public void setTeamCode(String teamCode) {
		this.teamCode = teamCode;
	}

	public String getTeamCode() {
		return teamCode;
	}
	public void setTeamDesc(String teamDesc) {
		this.teamDesc = teamDesc;
	}

	public String getTeamDesc() {
		return teamDesc;
	}
	public void setTeamDescGlobal(String teamDescGlobal) {
		this.teamDescGlobal = teamDescGlobal;
	}

	public String getTeamDescGlobal() {
		return teamDescGlobal;
	}
	public void setTeamDescExtended(String teamDescExtended) {
		this.teamDescExtended = teamDescExtended;
	}

	public String getTeamDescExtended() {
		return teamDescExtended;
	}
	public void setCreateDate(Date createDate) {
		this.createDate = createDate;
	}

	public Date getCreateDate() {
		return createDate;
	}
	public void setLastUpdateBy(String lastUpdateBy) {
		this.lastUpdateBy = lastUpdateBy;
	}

	public String getLastUpdateBy() {
		return lastUpdateBy;
	}
	public void setLastUpdateDate(Date lastUpdateDate) {
		this.lastUpdateDate = lastUpdateDate;
	}

	public Date getLastUpdateDate() {
		return lastUpdateDate;
	}
	public void setActive(String Active) {
		this.Active = Active;
	}

	public String getActive() {
		return Active;
	}
	public void setEnterpriseId(String enterpriseId) {
		this.enterpriseId = enterpriseId;
	}

	public String getEnterpriseId() {
		return enterpriseId;
	}
	public void setEnterpriseCode(String enterpriseCode) {
		this.enterpriseCode = enterpriseCode;
	}

	public String getEnterpriseCode() {
		return enterpriseCode;
	}
	public void setSiteId(String siteId) {
		this.siteId = siteId;
	}

	public String getSiteId() {
		return siteId;
	}
	public void setSiteCode(String siteCode) {
		this.siteCode = siteCode;
	}

	public String getSiteCode() {
		return siteCode;
	}
	public void setProductionLineCode(String productionLineCode) {
		this.productionLineCode = productionLineCode;
	}

	public String getProductionLineCode() {
		return productionLineCode;
	}
	public void setTeamLeaderCode(String teamLeaderCode) {
		this.teamLeaderCode = teamLeaderCode;
	}

	public String getTeamLeaderCode() {
		return teamLeaderCode;
	}
	public void setPlanPostQuantity(Integer planPostQuantity) {
		this.planPostQuantity = planPostQuantity;
	}

	public Integer getPlanPostQuantity() {
		return planPostQuantity;
	}
	public void setActualPostQuantity(Integer actualPostQuantity) {
		this.actualPostQuantity = actualPostQuantity;
	}

	public Integer getActualPostQuantity() {
		return actualPostQuantity;
	}
	public void setSalaryType(String salaryType) {
		this.salaryType = salaryType;
	}

	public String getSalaryType() {
		return salaryType;
	}
	public void setTeamProperties(String teamProperties) {
		this.teamProperties = teamProperties;
	}

	public String getTeamProperties() {
		return teamProperties;
	}
	public void setAttendanceQuantity(Integer attendanceQuantity) {
		this.attendanceQuantity = attendanceQuantity;
	}

	public Integer getAttendanceQuantity() {
		return attendanceQuantity;
	}
	public void setAssignedQuantity(Integer assignedQuantity) {
		this.assignedQuantity = assignedQuantity;
	}

	public Integer getAssignedQuantity() {
		return assignedQuantity;
	}

	@Override
	public String toString() {
		return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
			.append("teamId", getTeamId())
			.append("orgId", getOrgId())
			.append("teamCode", getTeamCode())
			.append("teamDesc", getTeamDesc())
			.append("teamDescGlobal", getTeamDescGlobal())
			.append("teamDescExtended", getTeamDescExtended())
			.append("createBy", getCreateBy())
			.append("createDate", getCreateDate())
			.append("lastUpdateBy", getLastUpdateBy())
			.append("lastUpdateDate", getLastUpdateDate())
			.append("Active", getActive())
			.append("enterpriseId", getEnterpriseId())
			.append("enterpriseCode", getEnterpriseCode())
			.append("siteId", getSiteId())
			.append("siteCode", getSiteCode())
			.append("productionLineCode", getProductionLineCode())
			.append("teamLeaderCode", getTeamLeaderCode())
			.append("planPostQuantity", getPlanPostQuantity())
			.append("actualPostQuantity", getActualPostQuantity())
			.append("salaryType", getSalaryType())
			.append("teamProperties", getTeamProperties())
			.append("attendanceQuantity", getAttendanceQuantity())
			.append("assignedQuantity", getAssignedQuantity())
				.append("teamType", getTeamType())
			.toString();
	}
}
